Skip to main content
POST
Creates a new loyalty card

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Query Parameters

replaceActive
boolean
default:false

If set to true, inactivates the member's active cards when creating a new one. Otherwise, the endpoint can return an error if the maximum number of active cards limit is reached.

Body

Loyalty card creation request

memberId
string
required

Member ID

Required string length: 1 - 36
type
enum<string>
required
Available options:
Physical,
Virtual
cardId
string | null

Loyalty card ID

Maximum string length: 36
cardHolderType
string | null

Type of cardholder (e.g., Member, Employee)

Maximum string length: 32
operationId
string | null

Optional idempotency key to prevent duplicate card creation during retries or concurrent requests

Maximum string length: 128

Response

OK

Last modified on August 10, 2026